Problem: conflicting requests

Issues related to applications and software problems and general support
User avatar
warron.french
Posts: 604
Joined: 2014/03/27 20:21:58

Re: Problem: conflicting requests

Post by warron.french » 2021/06/16 18:39:01

OK, so what do I do? Set 5.24 as default? I didn't do anything but install the OS.
Thanks,
War

User avatar
TrevorH
Forum Moderator
Posts: 30873
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Problem: conflicting requests

Post by TrevorH » 2021/06/16 19:18:52

It's asking for 5.26 but it is disabled.
CentOS 6 died in November 2020 - migrate to a new version!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

User avatar
warron.french
Posts: 604
Joined: 2014/03/27 20:21:58

Re: Problem: conflicting requests

Post by warron.french » 2021/06/23 20:08:38

TrevorH wrote:
2021/06/16 19:18:52
It's asking for 5.26 but it is disabled.
OK, so I enabled perl-5.24 by executing:

Code: Select all

dnf module enable perl:5.24
That did not set it as the default, it merely enabled it. There is no obvious dnf subcommand for configuring the default or setting the default perl version that I could find.

I tried using the command:

Code: Select all

dnf module switch-to perl:5.24
And that had a ton of Problems and lots of output that made no sense to me. I don't write anything in Perl. I have succeeded in my career not to adopting it in scripting that I write.
Thanks,
War

User avatar
TrevorH
Forum Moderator
Posts: 30873
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Problem: conflicting requests

Post by TrevorH » 2021/06/23 20:23:53

OK, so I enabled perl-5.24 by executing:
Why? It's asking for 5.26 not 5.24?
CentOS 6 died in November 2020 - migrate to a new version!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

User avatar
warron.french
Posts: 604
Joined: 2014/03/27 20:21:58

Re: Problem: conflicting requests

Post by warron.french » 2021/06/24 11:58:27

Because I am asking for direction. I don't know why CentOS installs broken from the start. This may be an aesthetic issue, but I don't know that.
Almost every time I execute a yum update there is a perl module error.
Thanks,
War

User avatar
TrevorH
Forum Moderator
Posts: 30873
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Problem: conflicting requests

Post by TrevorH » 2021/06/24 14:05:50

Enable perl:5.26.
CentOS 6 died in November 2020 - migrate to a new version!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

Post Reply

Return to “CentOS 8 - General Support”